All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.webdav
Class DAVException

    com.sas.services.webdav.DAVException

All Implemented Interfaces:
  java.io.Serializable

    public class DAVException

DAVException Wrapper for any exception that might occur in the DAV resource code. At the moment this is a chained exception, but once we have the information from the originating exception, there may be little point in keeping a copy.

See Also:
  Serialized Form

Constructor Summary
`DAVException()` Default constructor
`DAVException(java.lang.String msg)` Constructor for specifying an exception message
`DAVException(java.lang.String msg, java.lang.Exception exception)` Constructor for specifying an exception message and the underlying exception

Method Summary
`java.lang.Exception` | `getException()` Return the underlying exception.
`int` | `getStatusCode()` Return the status code.
`void` | `setStatusCode(int statusCode)` Sets the status code.

Constructor Detail

### DAVException

    public DAVException()

  Default constructor

### DAVException

    public DAVException(java.lang.String msg)

  Constructor for specifying an exception message

  Parameters:
    `msg` - Message for the exception

### DAVException

    public DAVException(java.lang.String msg,
                        java.lang.Exception exception)

  Constructor for specifying an exception message and the underlying exception

  Parameters:
    `msg` - Message for the exception
    `exception` - The underlying exception

Method Detail

### getException

    public final java.lang.Exception getException()

  Return the underlying exception. This will be null if the exception wasn't specified

  Returns:
    Exception

### getStatusCode

    public int getStatusCode()

  Return the status code.

  Returns:
    int The status code

### setStatusCode

    public void setStatusCode(int statusCode)

  Sets the status code.

  Parameters:
    `statusCode` - The status code

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.